Tap-Initiated Authorization for Debt Recovery with a Token
Use this information to process a tap-initiated authorization for debt recovery with a token.
When a cardholder attempts to use a blocked card at the transit reader, create a fresh debt recovery authorization request using the chip data from the new tap, along with the fare amount of the previous declined authorization.
Endpoints
POST /pts/v2/payments
POST /pts/v2/payments
Example
{ "clientReferenceInformation": { "transactionId": "9987654321", "partner": { "thirdPartyCertificationNumber": "123456789012" } }, "processingInformation": { "industryDataType": "transit", "reconciliationId": "dsgfsgsgsfdsgf", "captureOptions": { "dateToCapture": "0114" }, "commerceIndicator": "retail", "authorizationOptions": { "debtRecoveryIndicator": "true", "deferredAuthIndicator": "true" } }, "orderInformation": { "amountDetails": { "totalAmount": "10.00", "currency": "THB" } }, "paymentInformation": { "card": { "type": "001" } }, "tokenInformation": { "jti": "a76392f4-cde4-97aa-1111-0242ac14c005" }, "pointOfSaleInformation": { "terminalId": "12345678", "catLevel": "2", "entryMode": "contactless", "terminalCapability": "5", "terminalPinCapability": "0" }}{ "_links": { "authReversal": { "method": "POST", "href": "/pts/v2/payments/6502823788756237404002/reversals" }, "self": { "method": "GET", "href": "/pts/v2/payments/6502823788756237404002" }, "capture": { "method": "POST", "href": "/pts/v2/payments/6502823788756237404002/captures" } }, "clientReferenceInformation": { "code": "123456", "transactionId": "9987654321" }, "id": "6502823788756237404002", "orderInformation": { "amountDetails": { "authorizedAmount": "10.00", "currency": "THB" } }, "paymentAccountInformation": { "card": { "type": "001" } }, "paymentInformation": { "accountFeatures": { "category": "A", "group": "0" }, "tokenizedCard": { "type": "001" }, "card": { "type": "001" } }, "pointOfSaleInformation": { "emv": { "tags": "5004564953419F26087C14E9BE1F1065094F07A0000000031010820220009F360203709F0702C0809F2701409F100706010A03902000950500000000009F3704DB6AD1679A032111145F3401019F1A0203809F33036008C89F34031F03029F3501259F02060000000000009F03060000000000005F2A0209789C01005F2D046974656E9F0607A00000000310108407A00000000310109F21031726589F6E04207000009F40052000000001DFFEC30A020100" } }, "processorInformation": { "systemTraceAuditNumber": "115052", "approvalCode": "831000", "networktransactionId": "016153570198200", "retrievalReferenceNumber": "210811115052", "transactionId": "016153570198200", "responseCode": "00", "avs": { "code": "2" } }, "reconciliationId": "dsgfsgsgsfdsgf", "status": "AUTHORIZED", "submitTimeUtc": "2022-04-18T11:46:19Z"}| Field | Type | Description |
|---|---|---|
clientReferenceInformation.partner.thirdPartyCertificationNumber | ||
clientReferenceInformation.transactionId | ||
orderInformation.amountDetails.currency | ||
orderInformation.amountDetails.totalAmount | ||
paymentInformation.card.type | ||
pointOfSaleInformation.catLevel | Set this field to 2. | |
pointOfSaleInformation.entryMode | Set this field to contactless. | |
pointOfSaleInformation.terminalCapability | Set this field to 5. | |
pointOfSaleInformation.terminalId | ||
pointOfSaleInformation.terminalPinCapability | Set this field to 0. | |
processingInformation.authorizationOptions.debtRecoveryIndicator | Set this field to true. | |
processingInformation.authorizationOptions.deferredAuthIndicator | Set this field to true. | |
processingInformation.captureOptions.dateToCapture | ||
processingInformation.commerceIndicator | Set this field to retail. | |
processingInformation.industryDataType | Set this field to transit. | |
processingInformation.reconciliationId | ||
tokenInformation.jti |
Was this page helpful?
Thanks for your feedback!
Last published: September 29, 2026